| Home | Libraries | People | FAQ | More

## Struct template base_hook

boost::intrusive::base_hook

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename BaseHook>
    struct base_hook {
      // member classes/structs/unions

      // @ template<class Base>

      struct pack {
        // types
        typedef BaseHook value_traits;
      };
    };

## Description

This option setter specifies that the container must use the specified base hook